net.sf.jasperreports.engine

## Class JasperPrintManager

- java.lang.Object
- - net.sf.jasperreports.engine.JasperPrintManager

-     public final class JasperPrintManager
      extends java.lang.Object

  Facade class for the printing functionality exposed by the JasperReports library.

  After having filled a report, you have the option of viewing it, exporting it to a different format, or (most commonly) printing it.

  In JasperReports, you can print reports using this manager class. It contains various methods that can send entire documents or portions of them to the printer. It also allows people to choose whether to display the print dialog. one can display the content of a page from a JasperReports document by generating a `java.awt.Image` object for it using this manager class.

  Version:
    $Id: JasperPrintManager.java 7017 2014-04-15 10:18:40Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CHECK_AVAILABLE_PRINTERS` Property whose value is used to check the availability of printers accepting jobs.
    `protected static boolean` | `unixSunJDK`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JasperPrintManager` | `getInstance(JasperReportsContext jasperReportsContext)`
    `boolean` | `print(java.io.InputStream inputStream, boolean withPrintDialog)`
    `boolean` | `print(java.io.InputStream inputStream, int pageIndex, boolean withPrintDialog)`
    `boolean` | `print(java.io.InputStream inputStream, int firstPageIndex, int lastPageIndex, boolean withPrintDialog)`
    `boolean` | `print(JasperPrint jasperPrint, boolean withPrintDialog)`
    `boolean` | `print(JasperPrint jasperPrint, int pageIndex, boolean withPrintDialog)`
    `boolean` | `print(JasperPrint jasperPrint, int firstPageIndex, int lastPageIndex, boolean withPrintDialog)`
    `boolean` | `print(java.lang.String sourceFileName, boolean withPrintDialog)`
    `boolean` | `print(java.lang.String sourceFileName, int pageIndex, boolean withPrintDialog)`
    `boolean` | `print(java.lang.String sourceFileName, int firstPageIndex, int lastPageIndex, boolean withPrintDialog)`
    `static boolean` | `printPage(java.io.InputStream inputStream, int pageIndex, boolean withPrintDialog)`
    `static boolean` | `printPage(JasperPrint jasperPrint, int pageIndex, boolean withPrintDialog)`
    `static boolean` | `printPage(java.lang.String sourceFileName, int pageIndex, boolean withPrintDialog)`
    `static boolean` | `printPages(java.io.InputStream inputStream, int firstPageIndex, int lastPageIndex, boolean withPrintDialog)`
    `static boolean` | `printPages(JasperPrint jasperPrint, int firstPageIndex, int lastPageIndex, boolean withPrintDialog)`
    `static boolean` | `printPages(java.lang.String sourceFileName, int firstPageIndex, int lastPageIndex, boolean withPrintDialog)`
    `static java.awt.Image` | `printPageToImage(java.io.InputStream inputStream, int pageIndex, float zoom)`
    `static java.awt.Image` | `printPageToImage(JasperPrint jasperPrint, int pageIndex, float zoom)`
    `static java.awt.Image` | `printPageToImage(java.lang.String sourceFileName, int pageIndex, float zoom)`
    `static boolean` | `printReport(java.io.InputStream inputStream, boolean withPrintDialog)`
    `static boolean` | `printReport(JasperPrint jasperPrint, boolean withPrintDialog)`
    `static boolean` | `printReport(java.lang.String sourceFileName, boolean withPrintDialog)`
    `java.awt.Image` | `printToImage(java.io.InputStream inputStream, int pageIndex, float zoom)`
    `java.awt.Image` | `printToImage(JasperPrint jasperPrint, int pageIndex, float zoom)`
    `java.awt.Image` | `printToImage(java.lang.String sourceFileName, int pageIndex, float zoom)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_CHECK_AVAILABLE_PRINTERS

          public static final java.lang.String PROPERTY_CHECK_AVAILABLE_PRINTERS

      Property whose value is used to check the availability of printers accepting jobs.

      This property is by default set to `true`.
      See Also:
        Constant Field Values

    - #### unixSunJDK

          protected static final boolean unixSunJDK

  - ### Method Detail

    - #### getInstance

          public static JasperPrintManager getInstance(JasperReportsContext jasperReportsContext)

    - #### print

          public boolean print(java.lang.String sourceFileName,
                      boolean withPrintDialog)
                        throws JRException

      Throws:
        `JRException`

    - #### print

          public boolean print(java.io.InputStream inputStream,
                      boolean withPrintDialog)
                        throws JRException

      Throws:
        `JRException`

    - #### print

          public boolean print(JasperPrint jasperPrint,
                      boolean withPrintDialog)
                        throws JRException

      Throws:
        `JRException`

    - #### print

          public boolean print(java.lang.String sourceFileName,
                      int pageIndex,
                      boolean withPrintDialog)
                        throws JRException

      Throws:
        `JRException`

    - #### print

          public boolean print(java.io.InputStream inputStream,
                      int pageIndex,
                      boolean withPrintDialog)
                        throws JRException

      Throws:
        `JRException`

    - #### print

          public boolean print(JasperPrint jasperPrint,
                      int pageIndex,
                      boolean withPrintDialog)
                        throws JRException

      Throws:
        `JRException`

    - #### print

          public boolean print(java.lang.String sourceFileName,
                      int firstPageIndex,
                      int lastPageIndex,
                      boolean withPrintDialog)
                        throws JRException

      Throws:
        `JRException`

    - #### print

          public boolean print(java.io.InputStream inputStream,
                      int firstPageIndex,
                      int lastPageIndex,
                      boolean withPrintDialog)
                        throws JRException

      Throws:
        `JRException`

    - #### print

          public boolean print(JasperPrint jasperPrint,
                      int firstPageIndex,
                      int lastPageIndex,
                      boolean withPrintDialog)
                        throws JRException

      Throws:
        `JRException`

    - #### printToImage

          public java.awt.Image printToImage(java.lang.String sourceFileName,
                                    int pageIndex,
                                    float zoom)
                                      throws JRException

      Throws:
        `JRException`

    - #### printToImage

          public java.awt.Image printToImage(java.io.InputStream inputStream,
                                    int pageIndex,
                                    float zoom)
                                      throws JRException

      Throws:
        `JRException`

    - #### printToImage

          public java.awt.Image printToImage(JasperPrint jasperPrint,
                                    int pageIndex,
                                    float zoom)
                                      throws JRException

      Throws:
        `JRException`

    - #### printReport

          public static boolean printReport(java.lang.String sourceFileName,
                            boolean withPrintDialog)
                                     throws JRException

      Throws:
        `JRException`
      See Also:
        `print(String, boolean)`

    - #### printReport

          public static boolean printReport(java.io.InputStream inputStream,
                            boolean withPrintDialog)
                                     throws JRException

      Throws:
        `JRException`
      See Also:
        `print(InputStream, boolean)`

    - #### printReport

          public static boolean printReport(JasperPrint jasperPrint,
                            boolean withPrintDialog)
                                     throws JRException

      Throws:
        `JRException`
      See Also:
        `print(JasperPrint, boolean)`

    - #### printPage

          public static boolean printPage(java.lang.String sourceFileName,
                          int pageIndex,
                          boolean withPrintDialog)
                                   throws JRException

      Throws:
        `JRException`
      See Also:
        `print(String, int, boolean)`

    - #### printPage

          public static boolean printPage(java.io.InputStream inputStream,
                          int pageIndex,
                          boolean withPrintDialog)
                                   throws JRException

      Throws:
        `JRException`
      See Also:
        `print(InputStream, int, boolean)`

    - #### printPage

          public static boolean printPage(JasperPrint jasperPrint,
                          int pageIndex,
                          boolean withPrintDialog)
                                   throws JRException

      Throws:
        `JRException`
      See Also:
        `print(JasperPrint, int, boolean)`

    - #### printPages

          public static boolean printPages(java.lang.String sourceFileName,
                           int firstPageIndex,
                           int lastPageIndex,
                           boolean withPrintDialog)
                                    throws JRException

      Throws:
        `JRException`
      See Also:
        `print(String, int, int, boolean)`

    - #### printPages

          public static boolean printPages(java.io.InputStream inputStream,
                           int firstPageIndex,
                           int lastPageIndex,
                           boolean withPrintDialog)
                                    throws JRException

      Throws:
        `JRException`
      See Also:
        `print(InputStream, int, int, boolean)`

    - #### printPages

          public static boolean printPages(JasperPrint jasperPrint,
                           int firstPageIndex,
                           int lastPageIndex,
                           boolean withPrintDialog)
                                    throws JRException

      Throws:
        `JRException`
      See Also:
        `print(JasperPrint, int, int, boolean)`

    - #### printPageToImage

          public static java.awt.Image printPageToImage(java.lang.String sourceFileName,
                                        int pageIndex,
                                        float zoom)
                                                 throws JRException

      Throws:
        `JRException`
      See Also:
        `printToImage(String, int, float)`

    - #### printPageToImage

          public static java.awt.Image printPageToImage(java.io.InputStream inputStream,
                                        int pageIndex,
                                        float zoom)
                                                 throws JRException

      Throws:
        `JRException`
      See Also:
        `printToImage(InputStream, int, float)`

    - #### printPageToImage

          public static java.awt.Image printPageToImage(JasperPrint jasperPrint,
                                        int pageIndex,
                                        float zoom)
                                                 throws JRException

      Throws:
        `JRException`
      See Also:
        `printToImage(JasperPrint, int, float)`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com